Bug 662836 - fluxconf too old, unmaintained, incompatible with current fluxbox - remove from repositories
Summary: fluxconf too old, unmaintained, incompatible with current fluxbox - remove fr...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fluxconf
Version: 13
Hardware: All
OS: Linux
low
urgent
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL: http://fluxbox-wiki.org/index.php?tit...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-14 02:37 UTC by Daniel D.
Modified: 2010-12-31 20:58 UTC (History)
1 user (show)

Fixed In Version: fluxbox-1.1.1-7.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-31 20:58:08 UTC


Attachments (Terms of Use)

Description Daniel D. 2010-12-14 02:37:03 UTC
User-Agent:       Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9.2.13) Gecko/20101209 Fedora/3.6.13-1.fc13 Firefox/3.6.13

The fluxconf package should be removed from the Fedora repositories.

fluxconf is a package including graphical user interface utilities (FluxConf/FluxKeys/FluxMenu) to ease editing the configuration files for the fluxbox window manager (init/keys/menu).  These utilities were written by an independent developer not affiliated with the fluxbox project, and were designed to work with the fluxbox v0.9.x configuration file syntax.

The current versions of fluxbox in repositories (repo fedora and repo EPEL) are 1.0.0, 1.1.0 and 1.1.1, as seen in Koji:  http://koji.fedoraproject.org/koji/packageinfo?packageID=1744

Since version 1.0.0, fluxbox configuration files syntax has undergone many changes.  Now the init/keys/menu files generated by fluxconf utilities are incompatible with fluxbox 1.x.x newer syntax, thus breaking functionality and risking data loss (you may lose your whole config files, ending with an unusable fluxbox session).

The developer of these utilities wrote them for fluxbox 0.9.x and never updated/maintained them.


Reproducible: Always

Steps to Reproduce:
Just using any of the utilities in fluxconf package (fluxconf / fluxkeys / fluxmenu)
Actual Results:  
Fluxkeys tends to eat your .fluxbox/keys file and crash with segfault when you try to add new key combinations.  It also mangles your .fluxbox/keys file when you just save without adding new key combinations, using its outdated syntax.
Fluxconf tends to incorrectly change permissions on .fluxbox/init
Fluxmenu sometimes eats your .fluxbox/menu and your .fluxbox/apps files.

Expected Results:  
The utilities should know the current syntax in fluxbox 1.x.x and read/write the configuration files properly.

The utilities included in fluxconf package are totally outdated and unmaintained. The official fluxbox wiki warns against their use (see http://fluxbox-wiki.org/index.php?title=Fluxconf ).

This bug has been filed for Fedora version 13, but should apply to all current versions (12, 13, 14 and rawhide).

The fluxconf package has also been recently removed from Debian, where the bug was submitted by Debian's fluxbox maintainer ( http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=592804 )

Comment 1 Fedora Update System 2010-12-14 08:44:16 UTC
fluxbox-1.1.1-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/fluxbox-1.1.1-7.fc13

Comment 2 Fedora Update System 2010-12-14 08:44:47 UTC
fluxbox-1.1.1-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/fluxbox-1.1.1-7.fc14

Comment 3 Fedora Update System 2010-12-15 08:55:32 UTC
fluxbox-1.1.1-7.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fluxbox'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/fluxbox-1.1.1-7.fc13

Comment 4 Andreas Bierfert 2010-12-15 12:18:10 UTC
For reference: https://fedorahosted.org/rel-eng/ticket/4304

Comment 5 Daniel D. 2010-12-15 23:57:38 UTC
Just tested both F13 & F14 updates in virtual machines; they do look good to me.  The update removes fluxconf package if it is found already installed in the system.  Also, further attempting to reinstall fluxconf while having still enabled the updates-testing repo just ends with "Nothing to do".

Thank you for the fast response. :)

Comment 6 Fedora Update System 2010-12-31 20:57:28 UTC
fluxbox-1.1.1-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2010-12-31 20:58:05 UTC
fluxbox-1.1.1-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.